# Class: dcc
#
#
class dcc {
    include spamassassin

    package { "dcc-client":
        ensure => installed,
    }

    service{ "dcc-client":
        ensure      => running,
        enable      => true,
        hasrestart => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => false,
            default => true,
        },
        hasstatus => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => false,
            default => true,
        },
        pattern => "dccifd",
        require     => Package["dcc-client"],
    }

    $v310file = "/etc/mail/spamassassin/v310.pre"

    exec { "enable-dcc":
        command     => "sed -i -e \"s/^#loadplugin Mail::SpamAssassin::Plugin::DCC/loadplugin Mail::SpamAssassin::Plugin::DCC/\" $v310file",
        path        => "/bin",
        require     => Package["spamassassin"],
        unless      => "grep '^loadplugin Mail::SpamAssassin::Plugin::DCC' $v310file",
    }
}